import { QueryList, OnInit } from '@angular/core';
import { BaseDirective } from '../../../base.directive';
import { EuiListComponent } from '../eui-list.component';
import { EuiListService } from '../services/eui-list.service';
import { EuiIconComponent, EuiLabelComponent } from '../../atoms';
import * as i0 from "@angular/core";
export declare class EuiListItemComponent extends BaseDirective implements OnInit {
    private euiListService;
    get isCollapsible(): boolean;
    set isCollapsible(value: boolean);
    _isCollapsible: boolean;
    get isCollapsed(): boolean;
    set isCollapsed(value: boolean);
    _isCollapsed: boolean;
    get cssClasses(): string;
    euiListComponent: QueryList<EuiListComponent>;
    euiIconComponent: QueryList<EuiIconComponent>;
    euiLabelComponent: QueryList<EuiLabelComponent>;
    constructor(euiListService: EuiListService);
    ngOnInit(): void;
    toggleCollapse(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiListItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiListItemComponent, "[euiListItem], eui-list-item", never, { "isCollapsible": "isCollapsible"; "isCollapsed": "isCollapsed"; }, {}, ["euiListComponent", "euiIconComponent", "euiLabelComponent"], ["[eui-icon], [euiIcon]", "[eui-label], [euiLabel]", "[eui-list], [euiList]", "*"]>;
}
